oardel(1)

NAME
oardel - delete or checkpoint job(s).

SYNOPSIS
oardel [options] <job_id> [job_id [...] ] oardel [options] --sql <SQL WHERE clause>

DESCRIPTION
This command can be used to delete or checkpoint job(s). Jobs are passed by id.

OPTIONS

-c, --checkpoint
    Send the checkpoint signal designed from the "--signal" oarsub command option (default is SIGUSR2) to the process launched by the job "job_id".

-s, --signal SIG
    Send signal SIG to the process launched by the selected jobs.

-b, --besteffort
    Change jobs to besteffort (or remove them if they are already besteffort)

--array
    Handle array job ids, and their sub-jobs.

--sql
    Select jobs using a SQL WHERE clause on table jobs (e.g. "project = 'p1'")

--force-terminate-finishing-job
    Force jobs stuck in the Finishing state to switch to Terminated (Warning: only use as a last resort)

    Using this option indicates that something nasty happened: nodes where the jobs were executing will subsequently be turned into Suspected.

-V, --version
    Print OAR version number.

-h, --help
    Print help command message.

SEE ALSO
oarsub(1), oarstat(1), oarnodes(1), oarhold(1), oarresume(1)

COPYRIGHTS
 Copyright 2003-2016 Laboratoire d'Informatique de Grenoble (http://www.liglab.fr). This software is licensed under the GNU General Public License Version 2 or above. There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.